#include "zonefile_cod7_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD7_360::ZoneFile_COD7_360()
{

}

ZoneFile_COD7_360::~ZoneFile_COD7_360()
{

}

bool ZoneFile_COD7_360::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD7_360::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "00000000") {
        return Utils::ASSET_XMODELPIECES;
    } else if (cleanedType == "00000001") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "00000002") {
        return Utils::ASSET_PHYSCONSTRAINTS;
    } else if (cleanedType == "00000003") {
        return Utils::ASSET_DESTRUCTIBLEDEF;
    } else if (cleanedType == "00000004") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "00000005") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "00000006") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "00000007") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "00000008") {
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "00000009") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "0000000A") {
        return Utils::ASSET_SOUND_PATCH;
    } else if (cleanedType == "0000000B") {
        return Utils::ASSET_CLIPMAP;
    } else if (cleanedType == "0000000C") {
        return Utils::ASSET_CLIPMAP_PVS;
    } else if (cleanedType == "0000000D") {
        return Utils::ASSET_COMWORLD;
    } else if (cleanedType == "0000000E") {
        return Utils::ASSET_GAMEWORLD_SP;
    } else if (cleanedType == "0000000F") {
        return Utils::ASSET_GAMEWORLD_MP;
    } else if (cleanedType == "00000010") {
        return Utils::ASSET_MAP_ENTS;
    } else if (cleanedType == "00000011") {
        return Utils::ASSET_GFXWORLD;
    } else if (cleanedType == "00000012") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "00000013") {
        return Utils::ASSET_UI_MAP;
    } else if (cleanedType == "00000014") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "00000015") {
        return Utils::ASSET_MENULIST;
    } else if (cleanedType == "00000016") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "00000017") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "00000018") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "00000019") {
        return Utils::ASSET_WEAPONDEF;
    } else if (cleanedType == "0000001A") {
        return Utils::ASSET_WEAPON_VARIANT;
    } else if (cleanedType == "0000001B") {
        return Utils::ASSET_SNDDRIVER_GLOBALS;
    } else if (cleanedType == "0000001C") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "0000001D") {
        return Utils::ASSET_IMPACT_FX;
    } else if (cleanedType == "0000001E") {
        return Utils::ASSET_AITYPE;
    } else if (cleanedType == "0000001F") {
        return Utils::ASSET_MPTYPE;
    } else if (cleanedType == "00000020") {
        return Utils::ASSET_MPBODY;
    } else if (cleanedType == "00000021") {
        return Utils::ASSET_MPHEAD;
    } else if (cleanedType == "00000022") {
        return Utils::ASSET_CHARACTER;
    } else if (cleanedType == "00000023") {
        return Utils::ASSET_XMODELALIAS;
    } else if (cleanedType == "00000024") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "00000025") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "00000026") {
        return Utils::ASSET_PACK_INDEX;
    } else if (cleanedType == "00000027") {
        return Utils::ASSET_XGLOBALS;
    } else if (cleanedType == "00000028") {
        return Utils::ASSET_DDL;
    } else if (cleanedType == "00000029") {
        return Utils::ASSET_GLASSES;
    } else if (cleanedType == "0000002A") {
        return Utils::ASSET_EMBLEMSET;
    } else if (cleanedType == "0000002B") {
        return Utils::ASSET_COUNT;
    } else if (cleanedType == "0000002B") {
        return Utils::ASSET_STRING;
    } else if (cleanedType == "0000002C") {
        return Utils::ASSET_ASSETLIST;
    }
    return Utils::ASSET_NONE;
}
